Bug 51609 - 'splashimage' config param is undocumented
Summary: 'splashimage' config param is undocumented
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: grub   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-12 20:59 UTC by giulioo
Modified: 2015-01-07 23:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-30 00:08:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description giulioo 2001-08-12 20:59:22 UTC
Description of problem:
Cannot find any doc describing the use (supported image formats) 
of 'splashimage' config param.

How reproducible:
Always

Steps to Reproduce:
1.

[go@pc17 grub-0.90]$ grep splash /boot/grub/grub.conf
splashimage=(hd0,0)/grub/splash.xpm.gz
[go@pc17 grub-0.90]$ rpm -ql grub|xargs zgrep -i splash
/usr/share/grub/i386-redhat/stage2:Binary file (standard input) matches
[go@pc17 grub-0.90]$	


Actual Results:  No doc talks about the image formats that are ok 
for 'splashimage'

Expected Results:  'info grub' should explain every config param you can 
use in grub.conf

Additional info:

About docs, you should rename /usr/share/doc/grub*/mesu.lst to grub.conf 
too, as you did for the main config file.

Also, is this normal:
[go@pc17 go]$ cp /boot/grub/splash.xpm.gz .
[go@pc17 go]$ gunzip splash.xpm.gz
[go@pc17 go]$ file splash.xpm
splash.xpm: X pixmap image text
[go@pc17 go]$ /usr/bin/xpmtoppm splash.xpm > file1
xpmtoppm: EOF or read error on input file
[go@pc17 go]$ /usr/bin/xpmtoppm --verbose splash.xpm
xpmtoppm: Width x Height:  640 x 480
xpmtoppm: no. of colors:  15
xpmtoppm: chars per pixel:  1
xpmtoppm: EOF or read error on input file
[go@pc17 go]$

Comment 1 Jeremy Katz 2002-01-22 04:10:01 UTC
Will be fixed in grub-0.91-1 and later


Note You need to log in before you can comment on or make changes to this bug.